Runtime

## org.eclipse.gmf.runtime.emf.type.core
Interface IElementMatcher

All Known Implementing Classes:
  NullElementMatcher

    public interface IElementMatcher

Determines whether or not a model element matches a fixed set of criteria.

The number of conditions declared by this matcher are used to identify the most precise match. A new type can specialize an existing type by adding more conditions than that of the existing type.

Method Summary
`boolean` `matches(org.eclipse.emf.ecore.EObject eObject)` Answers whether or not I match `eObject`.

Method Detail

### matches

    boolean matches(org.eclipse.emf.ecore.EObject eObject)

  Answers whether or not I match `eObject`.

  Parameters:
    `eObject` - the model element to match
  Returns:
    `true` if I match `eObject`, `false` otherwise.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.